import { AbstractStreamingSyncImplementation, AbstractStreamingSyncImplementationOptions, LockOptions } from '@journeyapps/powersync-sdk-common';
export interface WebStreamingSyncImplementationOptions {
    /**
     * An identifier for which PowerSync DB this sync implementation is
     * linked to. Most commonly DB name, but not restricted to DB name.
     */
    workerIdentifier: string;
}
export declare class WebStreamingSyncImplementation extends AbstractStreamingSyncImplementation {
    protected options2: WebStreamingSyncImplementationOptions;
    constructor(options: AbstractStreamingSyncImplementationOptions, options2: WebStreamingSyncImplementationOptions);
    obtainLock<T>(lockOptions: LockOptions<T>): Promise<T>;
}
